# -*- encoding: utf-8 -*-
# stub: sensu-plugins-chef 7.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-chef".freeze
  s.version = "7.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu Plugins and contributors".freeze]
  s.date = "2021-05-19"
  s.description = "This plugin provides native Chef instrumentation\n                              for monitoring, including: report stale nodes,\n                              service health, as well as a handler to remove\n                              stale Sensu clients".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["check-chef-node.rb".freeze, "check-chef-nodes.rb".freeze, "handler-chef-node.rb".freeze, "check-chef-server.rb".freeze]
  s.files = ["bin/check-chef-node.rb".freeze, "bin/check-chef-nodes.rb".freeze, "bin/check-chef-server.rb".freeze, "bin/handler-chef-node.rb".freeze]
  s.homepage = "https://github.com/sensu-plugins/sensu-plugins-chef".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for chef".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<hashie>.freeze, [">= 2.0.2", "< 4.0.0"])
    s.add_runtime_dependency(%q<ridley>.freeze, ["= 5.1.1"])
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_runtime_dependency(%q<varia_model>.freeze, ["= 0.6"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 4.0"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.81.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  else
    s.add_dependency(%q<hashie>.freeze, [">= 2.0.2", "< 4.0.0"])
    s.add_dependency(%q<ridley>.freeze, ["= 5.1.1"])
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_dependency(%q<varia_model>.freeze, ["= 0.6"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 4.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.81.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  end
end
